Update handling details
Update handling details
Required permissions: HANDLING
put/tenants/{tenantUid}/handlings/{handlingUid}
Authorizations
AuthorizationstringRequired
Access token recevied after user login with a deviceToken
Path parameters
tenantUidstringRequiredPattern:
Reference to a tenant.
^[A-Za-z0-9-_]+handlingUidstringRequiredPattern:
Reference to an handling id.
^[A-Za-z0-9-_]+Body
Request for creating or updating an orderhandling
activebooleanRequired
descriptionstringRequired
namestring · max: 20Required
requireSerialnumberForCompletebooleanOptional
templateUidForCompletestringOptionalPattern:
^[A-Za-z0-9-_]*Responses
200
Example response
application/json
activebooleanRequired
createdAtstring · date-timeRequired
createdBystringRequired
descriptionstringRequired
handlingUidstringRequiredPattern:
^[A-Za-z0-9-_]+lastModifiedAtstring · date-timeRequired
lastModifiedBystringRequired
namestring · max: 20Required
requireSerialnumberForCompletebooleanRequired
All products that require serialnumber must have a serial number set before this handling can be set to COMPLETE
templateUidForCompletestringRequiredPattern:
^[A-Za-z0-9-_]*put/tenants/{tenantUid}/handlings/{handlingUid}
PUT /v2/tenants/{tenantUid}/handlings/{handlingUid} HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 120
{
"active": true,
"description": "text",
"name": "text",
"requireSerialnumberForComplete": true,
"templateUidForComplete": "text"
}200
Example response
{
"active": true,
"createdAt": "2026-01-01T00:00:00.000Z",
"createdBy": "text",
"description": "text",
"handlingUid": "text",
"lastModifiedAt": "2026-01-01T00:00:00.000Z",
"lastModifiedBy": "text",
"name": "text",
"triggers": [
{
"active": true,
"trigger": "AUTO_PRINT_PICKUP_LABELS",
"state": "NOT_STARTED",
"value": "text",
"handlingTriggerUid": "text"
}
],
"requireSerialnumberForComplete": true,
"templateUidForComplete": "text"
}Last updated
Was this helpful?

